%global pypi_name python-magic
%global srcname magic

Name:           %{pypi_name}
Version:        0.4.27
Release:    1%{?dist}
Summary:        File type identification using libmagic

License:        MIT
URL:            https://github.com/ahupp/python-magic
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch

%description
This module uses ctypes to access the libmagic file type identification
library. It makes use of the local magic database and supports both textual
and MIME-type output.

%package -n     python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       file-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This module uses ctypes to access the libmagic file type identification
library. It makes use of the local magic database and supports both textual
and MIME-type output.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc README.md
%license LICENSE
%{python3_sitelib}/magic/
%{python3_sitelib}/python_magic-%{version}-py*.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.27-1
- initial build
